at.chipkarte.client.base.soap.constants

## Class CardExceptionConstants

- Object
- - at.chipkarte.client.base.soap.constants.CardExceptionConstants

-     public final class CardExceptionConstants
      extends Object

  Fehlerkonstanten für Fehler im Zusammenhang mit Kartenleser und Karte.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTHENTICATION_FAILED` Die Authentifizierung mit der gesteckten Karte ist fehlgeschlagen.
    `static int` | `CARD_CHANGED` Die Karte wurde während eines Zugriffs aus dem Kartenleser entfernt.
    `static int` | `CARDREADER_IN_USE` Es wird versucht auf einen Kartenleser zuzugreifen der gerade in Verwendung ist.
    `static int` | `CARDREADERCONTROL_NOT_STARTED` Die Kartenleserstatusüberwachung konnte nicht aktiviert werden.
    `static int` | `CIN_NOT_IDENT` Die angegebene CIN stimmt nicht mit der CIN der Karte überein, die in dem verwendeten Kartenleser steckt.
    `static int` | `DEFECT_CARD` Die gesteckte Karte ist fehlerhaft.
    `static int` | `INTERNAL_ERROR` Es ist ein interner Fehler beim Zugriff auf die Karte aufgetreten.
    `static int` | `INVALID_CARD_READER_ID` Für die angegebene Kartenleser-ID ist kein Kartenleser registriert.
    `static int` | `INVALID_PIN` Das Format des angegebenen PIN-Codes ist nicht gültig.
    `static int` | `INVALID_PUK` Das Format des angegebenen PUK-Codes ist nicht gültig.
    `static int` | `INVALID_TIMEOUT_PARAMETER` Der übergebene Wert für die maximale Wartezeit liegt nicht im vorgegebenen Wertebereich.
    `static int` | `NO_CARD` Es befindet sich keine Karte am Kartenleser.
    `static int` | `PIN_LOCKED` Der PIN-Code der gesteckten Karte wurde gesperrt.
    `static int` | `PUK_LOCKED` Die Karte wurde aufgrund einer mehrfachen falschen PUK-Codeeingabe gesperrt.
    `static int` | `REPEATED_SIGNATUR` Mit dieser Karte wurde erneut in Folge eine Signatur im gleichen Kartenleser erzeugt.
    `static int` | `TRANSPORT_PIN` Transport-PIN ist gesetzt und muss geändert werden.
    `static int` | `WRONG_CARD` Die verwendete Karte ist vom falschen Typ.
    `static int` | `WRONG_OCARD` Es wurde die falsche Ordinationskarte (Admin-Karte) verwendet.
    `static int` | `WRONG_PIN` Der angegebene PIN-Code stimmt nicht mit dem PIN-Code der Karte überein.
    `static int` | `WRONG_PUK` Der angegebene PUK-Code stimmt nicht mit dem PUK-Code der Karte überein.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFECT_CARD

          public static final int DEFECT_CARD

      Die gesteckte Karte ist fehlerhaft.
      ORCLI-Code: CA-01001, CA-01002, CA-01010, CA-02003, CA-02102, CA-02105
      See Also:
        Constant Field Values

    - #### WRONG_CARD

          public static final int WRONG_CARD

      Die verwendete Karte ist vom falschen Typ. Dies kann auftreten, wenn für eine Aktion eine o-card notwendig ist, jedoch eine e-card oder eine Testkarte verwendet wird bzw. wenn ein vom e-card-System nicht akzeptierter Kartentyp identifiziert wird.
      ORCLI-Code: CA-02100, CA-03006, CL-00258
      See Also:
        Constant Field Values

    - #### WRONG_PIN

          public static final int WRONG_PIN

      Der angegebene PIN-Code stimmt nicht mit dem PIN-Code der Karte überein.
      ORCLI-Code: CA-03002
      See Also:
        Constant Field Values

    - #### INVALID_PIN

          public static final int INVALID_PIN

      Das Format des angegebenen PIN-Codes ist nicht gültig.
      ORCLI-Code: CA-03007
      See Also:
        Constant Field Values

    - #### PIN_LOCKED

          public static final int PIN_LOCKED

      Der PIN-Code der gesteckten Karte wurde gesperrt. Der PIN-Code kann nur durch Eingabe des PUK-Codes entsperrt werden. Siehe Funktion `changePinWithPuk`
      ORCLI-Code: CA-03005
      See Also:
        Constant Field Values

    - #### TRANSPORT_PIN

          public static final int TRANSPORT_PIN

      Transport-PIN ist gesetzt und muss geändert werden. Siehe Funktion `changePin`
      ORCLI-Code: CA-03009
      See Also:
        Constant Field Values

    - #### INVALID_CARD_READER_ID

          public static final int INVALID_CARD_READER_ID

      Für die angegebene Kartenleser-ID ist kein Kartenleser registriert.
      ORCLI-Code: CA-02110
      See Also:
        Constant Field Values

    - #### CIN_NOT_IDENT

          public static final int CIN_NOT_IDENT

      Die angegebene CIN stimmt nicht mit der CIN der Karte überein, die in dem verwendeten Kartenleser steckt.
      ORCLI-Code: CL-A0002, CL-05242
      See Also:
        Constant Field Values

    - #### REPEATED_SIGNATUR

          public static final int REPEATED_SIGNATUR

      Mit dieser Karte wurde erneut in Folge eine Signatur im gleichen Kartenleser erzeugt.
      ORCLI-Code: CA-03011
      See Also:
        Constant Field Values

    - #### WRONG_PUK

          public static final int WRONG_PUK

      Der angegebene PUK-Code stimmt nicht mit dem PUK-Code der Karte überein.
      ORCLI-Code: CA-03003
      See Also:
        Constant Field Values

    - #### INVALID_PUK

          public static final int INVALID_PUK

      Das Format des angegebenen PUK-Codes ist nicht gültig.
      ORCLI-Code: CA-03008
      See Also:
        Constant Field Values

    - #### NO_CARD

          public static final int NO_CARD

      Es befindet sich keine Karte am Kartenleser.
      ORCLI-Code: CA-02111, CA-02112, CL-00257
      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      Es ist ein interner Fehler beim Zugriff auf die Karte aufgetreten.
      ORCLI-Code: CA-01000,CA-01003, CA-01004, CA-01005, CA-01008, CA-01009, CA-01011, CA-01012, CA-02001, CA-02002, CA-02005, CA-02006, CA-02200, CA-02201, CA-02202, CA-03010
      See Also:
        Constant Field Values

    - #### PUK_LOCKED

          public static final int PUK_LOCKED

      Die Karte wurde aufgrund einer mehrfachen falschen PUK-Codeeingabe gesperrt. Die Karte kann nicht mehr entsperrt werden.
      ORCLI-Code: CA-03004
      See Also:
        Constant Field Values

    - #### CARD_CHANGED

          public static final int CARD_CHANGED

      Die Karte wurde während eines Zugriffs aus dem Kartenleser entfernt.
      ORCLI-Code: CA-02108
      See Also:
        Constant Field Values

    - #### AUTHENTICATION_FAILED

          public static final int AUTHENTICATION_FAILED

      Die Authentifizierung mit der gesteckten Karte ist fehlgeschlagen. Möglicherweise wurde die Karte manipuliert. Der Fehlerfall kann ausschließlich im Offline-Modus des Ordinationsclients auftreten.
      ORCLI-Code: CA-02400, CA-02401, CA-02402
      See Also:
        Constant Field Values

    - #### CARDREADER_IN_USE

          public static final int CARDREADER_IN_USE

      Es wird versucht auf einen Kartenleser zuzugreifen der gerade in Verwendung ist.
      ORCLI-Code: CA-02101, CA-02007, CA-02103, CA-02104
      See Also:
        Constant Field Values

    - #### INVALID_TIMEOUT_PARAMETER

          public static final int INVALID_TIMEOUT_PARAMETER

      Der übergebene Wert für die maximale Wartezeit liegt nicht im vorgegebenen Wertebereich.
      ORCLI-Code: CA-01013
      See Also:
        Constant Field Values

    - #### CARDREADERCONTROL_NOT_STARTED

          public static final int CARDREADERCONTROL_NOT_STARTED

      Die Kartenleserstatusüberwachung konnte nicht aktiviert werden.
      ORCLI-Code: CA-02203
      See Also:
        Constant Field Values

    - #### WRONG_OCARD

          public static final int WRONG_OCARD

      Es wurde die falsche Ordinationskarte (Admin-Karte) verwendet. Sie haben sich mit der Ordinationskarte (Admin-Karte) eines anderen Vertragspartners angemeldet.
      ORCLI-Code: CL-00043
      See Also:
        Constant Field Values